Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 181922 - [69cat] Exception Reporter view should request focus when it is opened
[69cat] Exception Reporter view should request focus when it is opened
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Exceptions Reporter
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Jindrich Sedek
logger-issues@ide
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-12 08:25 UTC by Michel Graciano
Modified: 2010-03-17 05:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch. (2.12 KB, patch)
2010-03-12 10:31 UTC, Michel Graciano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2010-03-12 08:25:23 UTC
[ BUILD # : 194f928a86b7 ]
[ JDK VERSION : 1.6.* ]

Product Version: NetBeans IDE Dev (Build 100311-194f928a86b7)
Java: 1.6.0_18; Java HotSpot(TM) Client VM 16.0-b13
System: Linux version 2.6.31-20-generic-pae running on i386; UTF-8; en_US (nb)

When an new problem is reported using the Exception Reporter the view is opened
automatically but it doesn't request focus so the ESC key or even click again
at editor doesn't works. It would improve the usability a lot.
Comment 1 Michel Graciano 2010-03-12 10:31:34 UTC
Created attachment 95104 [details]
Proposed patch.
Comment 2 Michel Graciano 2010-03-12 10:33:15 UTC
This patch at least solve my problem. I am not in current NetFIX developers list but maybe we can consider it an NetFIX issue? :)
Comment 3 Michel Graciano 2010-03-12 10:35:04 UTC
Well, please ignore the change in .form file, just use the .java part. I attached the diff directly from IDE and pay not much attention at form file diff. Sorry.
Comment 4 Jiri Kovalsky 2010-03-12 11:07:01 UTC
Jindro, can you please take a look at this patch and integrate it if you have no comments? Thanks!
Comment 5 Jindrich Sedek 2010-03-16 13:07:50 UTC
applying the patch: 0806048f007a
Thanks for your endeavour to make NetBeans better
Comment 6 Jiri Kovalsky 2010-03-16 13:15:57 UTC
Thanks Jindro for review & integration and a special thanks goes to Michel for his patch!
Comment 7 Michel Graciano 2010-03-16 13:30:28 UTC
Thanks guys! My pleasure to help this awesome project.
Comment 8 Quality Engineering 2010-03-17 05:15:46 UTC
Integrated into 'main-golden', will be available in build *201003170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0806048f007a
User: Jindrich Sedek <jsedek@netbeans.org>
Log: Bug #181922  -  Exception Reporter view should request focus when it is opened


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo